"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const validation_1 = require("@schematics/angular/utility/validation");
const forceOptions = {
    routing: true,
    skipTests: true,
    style: 'scss',
};
function default_1(options) {
    return () => {
        validation_1.validateProjectName(options.name);
        return schematics_1.chain([
            schematics_1.externalSchematic('@schematics/angular', 'ng-new', Object.assign(Object.assign({}, options), forceOptions)),
            schematics_1.schematic('ng-add', {
                name: options.name,
                skipInstall: true,
            }, { scope: options.name }),
        ]);
    };
}
exports.default = default_1;
//# sourceMappingURL=index.js.map